curl --request GET \
--url https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.staging.fluxpayroll.ai/api/mexico-payroll/contributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"key": "MX_ISR",
"name": "Impuesto Sobre la Renta",
"description": "Impuesto sobre la renta para empleados",
"paidBy": "EMPLOYEE",
"jurisdiction": {
"key": "MX",
"name": "Mexico"
},
"levyingAgency": {
"key": "MX_SAT",
"name": "Servicio de Administración Tributaria"
},
"collectionAgency": {
"key": "MX_SAT",
"name": "Servicio de Administración Tributaria"
},
"levyingFrequency": "MONTHLY",
"depositFrequency": "MONTHLY",
"reportingCode": "001"
}
]{
"error": "VALIDATION_ERROR",
"message": "Invalid input data provided",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "VALIDATION_ERROR",
"message": "Invalid input data provided",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}Get Social Security Contributions
Returns a list of all social security contributions for Mexico, including jurisdiction and agency details. Supports optional locale parameter for translated names and descriptions.
Authorizations
Query Parameters
Locale for translated names and descriptions. Defaults to Spanish (es-MX) if not specified.
es-MX, en-US, en-MX Response
List of contributions retrieved successfully
Unique tax/contribution key
"MX_ISR"
Display name of the tax (localized if locale is specified)
"Impuesto Sobre la Renta"
Detailed description (localized if locale is specified)
"Impuesto sobre la renta para empleados"
Who is responsible for paying this tax/contribution
EMPLOYEE, EMPLOYER "EMPLOYEE"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
How frequently this tax is levied
DAILY, WEEKLY, BIWEEKLY, SEMI_MONTHLY, MONTHLY, BIMONTHLY, QUARTERLY, SEMI_ANNUALLY, ANNUALLY "MONTHLY"
How frequently this tax must be deposited
DAILY, WEEKLY, BIWEEKLY, SEMI_MONTHLY, MONTHLY, BIMONTHLY, QUARTERLY, SEMI_ANNUALLY, ANNUALLY "MONTHLY"
Reporting code for this tax
"001"